// created on 12/2/2004 at 3:42 PM
/*
 *   Copyright (c) 2004, Alexandros Frantzis (alf82 [at] freemail [dot] gr)
 *
 *   This file is part of Bless.
 *
 *   Bless is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Bless is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Bless; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
using System;
using System.IO;
using Gtk;
using Glade;
 
namespace Bless.Gui.Dialogs { 

///<summary>
/// A dialog that lets the user select one of the available layouts
///</summary>
public class SaveProgressDialog{
	
	[Glade.Widget]Gtk.Window SaveProgressWindow;
	[Glade.Widget]Gtk.Button CancelButton;
	[Glade.Widget]Gtk.ProgressBar SaveProgressBar;
	[Glade.Widget]Gtk.Label SaveLabel;
	
	bool cancelClicked;
	
	public SaveProgressDialog(string primary)
	{
		Glade.XML gxml = new Glade.XML (null, "bless.glade", "SaveProgressWindow", null);
		gxml.Autoconnect (this);
		
		SaveLabel.Markup="<span weight=\"bold\" size=\"larger\">"+primary+"</span>";
		SaveProgressWindow.Title=primary;
	}
	
	public bool Update(double f, bool show)
	{
		if (show) {
			SaveProgressWindow.Visible=true;
			return false; 
		}
		
		SaveProgressBar.Fraction=f;
		//SaveProgressBar.Text=string.Format("{0:1}% complete", f*100);
		
		// update progress bar and make GUI more responsive in general
		while( Application.EventsPending() )
      		Application.RunIteration();
      		
      	return cancelClicked;
	}	
		
	public void OnCancelButtonClicked(object o, EventArgs args)
	{
		cancelClicked=true;
	}
	
	public void Destroy()
	{
		SaveProgressWindow.Destroy();
	}
}


}//namespace